diff --git a/changelog b/changelog
index 80e94f3..314b281 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080424 tpd src/input/schaum23.input show Schaums-Axiom equivalence
 20080423 tpd src/input/schaum22.input show Schaums-Axiom equivalence
 20080423 tpd src/input/schaum21.input show Schaums-Axiom equivalence
 20080423 tpd src/input/schaum20.input show Schaums-Axiom equivalence
diff --git a/src/input/schaum23.input.pamphlet b/src/input/schaum23.input.pamphlet
index 679e775..c24ef73 100644
--- a/src/input/schaum23.input.pamphlet
+++ b/src/input/schaum23.input.pamphlet
@@ -19,7 +19,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 10
+--S 1
 aa:=integrate(csc(a*x),x)
 --R 
 --R
@@ -30,6 +30,148 @@ aa:=integrate(csc(a*x),x)
 --R                a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb1:=1/a*log(csc(a*x)-cot(a*x))
+--R
+--R        log(csc(a x) - cot(a x))
+--R   (2)  ------------------------
+--R                    a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3
+bb2:=1/a*log(tan((a*x)/2))
+--R
+--R                a x
+--R        log(tan(---))
+--R                 2
+--R   (3)  -------------
+--R              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 4
+cc1:=aa-bb1
+--R
+--R              sin(a x)
+--R        log(------------) - log(csc(a x) - cot(a x))
+--R            cos(a x) + 1
+--R   (4)  --------------------------------------------
+--R                              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 5
+cotrule:=rule(cot(a) == cos(a)/sin(a))
+--R
+--R                  cos(a)
+--R   (5)  cot(a) == ------
+--R                  sin(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 6
+dd1:=cotrule cc1
+--R
+--R              sin(a x)          csc(a x)sin(a x) - cos(a x)
+--R        log(------------) - log(---------------------------)
+--R            cos(a x) + 1                  sin(a x)
+--R   (6)  ----------------------------------------------------
+--R                                  a
+--R                                                     Type: Expression Integer
+--E
+
+--S 7
+cscrule:=rule(csc(a) == 1/sin(a))
+--R
+--R                     1
+--R   (7)  csc(a) == ------
+--R                  sin(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 8
+ee1:=cscrule dd1
+--R
+--R              sin(a x)          - cos(a x) + 1
+--R        log(------------) - log(--------------)
+--R            cos(a x) + 1           sin(a x)
+--R   (8)  ---------------------------------------
+--R                           a
+--R                                                     Type: Expression Integer
+--E
+
+--S 9
+ff1:=expandLog ee1
+--R
+--R        2log(sin(a x)) - log(cos(a x) + 1) - log(cos(a x) - 1) - log(- 1)
+--R   (9)  -----------------------------------------------------------------
+--R                                        a
+--R                                                     Type: Expression Integer
+--E
+
+--S 10
+gg1:=complexNormalize ff1
+--R
+--R           2log(- 1)
+--R   (10)  - ---------
+--R               a
+--R                                                     Type: Expression Integer
+--E
+
+--S 11
+cc2:=aa-bb2
+--R
+--R                   a x           sin(a x)
+--R         - log(tan(---)) + log(------------)
+--R                    2          cos(a x) + 1
+--R   (11)  -----------------------------------
+--R                          a
+--R                                                     Type: Expression Integer
+--E
+
+--S 12
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                   sin(a)
+--R   (12)  tan(a) == ------
+--R                   cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 13
+dd2:=tanrule cc2
+--R
+--R                                     a x
+--R                                 sin(---)
+--R               sin(a x)               2
+--R         log(------------) - log(--------)
+--R             cos(a x) + 1            a x
+--R                                 cos(---)
+--R                                      2
+--R   (13)  ---------------------------------
+--R                         a
+--R                                                     Type: Expression Integer
+--E
+
+--S 14
+ee2:=expandLog dd2
+--R
+--R                                 a x                                 a x
+--R         log(sin(a x)) - log(sin(---)) - log(cos(a x) + 1) + log(cos(---))
+--R                                  2                                   2
+--R   (14)  -----------------------------------------------------------------
+--R                                         a
+--R                                                     Type: Expression Integer
+--E
+
+--S 15     14:461 Schaums and Axiom agree
+ff2:=complexNormalize ee2
+--R
+--R   (15)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.462~~~~~$\displaystyle
@@ -40,7 +182,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 10
+--S 16
 aa:=integrate(csc(a*x)^2,x)
 --R 
 --R
@@ -49,6 +191,40 @@ aa:=integrate(csc(a*x)^2,x)
 --R          a sin(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 17
+bb:=-cot(a*x)/a
+--R
+--R          cot(a x)
+--R   (2)  - --------
+--R              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 18
+cc:=aa-bb
+--R
+--R        cot(a x)sin(a x) - cos(a x)
+--R   (3)  ---------------------------
+--R                 a sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 19
+cotrule:=rule(cot(a) == cos(a)/sin(a))
+--R
+--R                  cos(a)
+--R   (4)  cot(a) == ------
+--R                  sin(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 20     14:462 Schaums and Axiom agree
+dd:=cotrule cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.463~~~~~$\displaystyle
@@ -59,7 +235,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 10
+--S 21
 aa:=integrate(csc(a*x)^3,x)
 --R 
 --R
@@ -71,6 +247,159 @@ aa:=integrate(csc(a*x)^3,x)
 --R                     2a cos(a x)  - 2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 22
+bb:=-(csc(a*x)*cot(a*x))/(2*a)+1/(2*a)*log(tan((a*x)/2))
+--R
+--R                a x
+--R        log(tan(---)) - cot(a x)csc(a x)
+--R                 2
+--R   (2)  --------------------------------
+--R                       2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 23
+cc:=aa-bb
+--R
+--R   (3)
+--R                  2             a x              2           sin(a x)
+--R       (- cos(a x)  + 1)log(tan(---)) + (cos(a x)  - 1)log(------------)
+--R                                 2                         cos(a x) + 1
+--R     + 
+--R                2
+--R       (cos(a x)  - 1)cot(a x)csc(a x) + cos(a x)
+--R  /
+--R                2
+--R     2a cos(a x)  - 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 24
+cotrule:=rule(cot(a) == cos(a)/sin(a))
+--R
+--R                  cos(a)
+--R   (4)  cot(a) == ------
+--R                  sin(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 25
+dd:=cotrule cc
+--R
+--R   (5)
+--R                  2                     a x
+--R       (- cos(a x)  + 1)sin(a x)log(tan(---))
+--R                                         2
+--R     + 
+--R                2                   sin(a x)
+--R       (cos(a x)  - 1)sin(a x)log(------------) + cos(a x)sin(a x)
+--R                                  cos(a x) + 1
+--R     + 
+--R                3
+--R       (cos(a x)  - cos(a x))csc(a x)
+--R  /
+--R                 2
+--R     (2a cos(a x)  - 2a)sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 26
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (6)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 27
+ee:=tanrule dd
+--R
+--R   (7)
+--R                2                   sin(a x)
+--R       (cos(a x)  - 1)sin(a x)log(------------)
+--R                                  cos(a x) + 1
+--R     + 
+--R                                        a x
+--R                                    sin(---)
+--R                  2                      2
+--R       (- cos(a x)  + 1)sin(a x)log(--------) + cos(a x)sin(a x)
+--R                                        a x
+--R                                    cos(---)
+--R                                         2
+--R     + 
+--R                3
+--R       (cos(a x)  - cos(a x))csc(a x)
+--R  /
+--R                 2
+--R     (2a cos(a x)  - 2a)sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 28
+cscrule:=rule(csc(a) == 1/sin(a))
+--R
+--R                     1
+--R   (8)  csc(a) == ------
+--R                  sin(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 29
+ff:=cscrule ee
+--R
+--R   (9)
+--R                2             2      sin(a x)
+--R       (cos(a x)  - 1)sin(a x) log(------------)
+--R                                   cos(a x) + 1
+--R     + 
+--R                                         a x
+--R                                     sin(---)
+--R                  2             2         2                      2           3
+--R       (- cos(a x)  + 1)sin(a x) log(--------) + cos(a x)sin(a x)  + cos(a x)
+--R                                         a x
+--R                                     cos(---)
+--R                                          2
+--R     + 
+--R       - cos(a x)
+--R  /
+--R                 2              2
+--R     (2a cos(a x)  - 2a)sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 30
+gg:=expandLog ff
+--R
+--R   (10)
+--R                2             2
+--R       (cos(a x)  - 1)sin(a x) log(sin(a x))
+--R     + 
+--R                  2             2        a x
+--R       (- cos(a x)  + 1)sin(a x) log(sin(---))
+--R                                          2
+--R     + 
+--R                  2             2
+--R       (- cos(a x)  + 1)sin(a x) log(cos(a x) + 1)
+--R     + 
+--R                2             2        a x                     2           3
+--R       (cos(a x)  - 1)sin(a x) log(cos(---)) + cos(a x)sin(a x)  + cos(a x)
+--R                                        2
+--R     + 
+--R       - cos(a x)
+--R  /
+--R                 2              2
+--R     (2a cos(a x)  - 2a)sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 31     14:463 Schaums and Axiom agree
+hh:=complexNormalize gg
+--R
+--R   (11)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.464~~~~~$\displaystyle
@@ -81,7 +410,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 10
+--S 32
 aa:=integrate(csc(a*x)^n*cot(a*x),x)
 --R 
 --R
@@ -96,6 +425,31 @@ aa:=integrate(csc(a*x)^n*cot(a*x),x)
 --R                     a n
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 33
+bb:=-csc(a*x)^n/(n*a)
+--R
+--R                  n
+--R          csc(a x)
+--R   (2)  - ---------
+--R             a n
+--R                                                     Type: Expression Integer
+--E
+
+--S 34     14:464 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R                          1
+--R            n log(- -------------)
+--R                            2
+--R                    cos(a x)  - 1
+--R            ----------------------
+--R                       2                     n
+--R        - %e                       + csc(a x)
+--R   (3)  --------------------------------------
+--R                          a n
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.465~~~~~$\displaystyle
@@ -106,7 +460,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 10
+--S 35
 aa:=integrate(1/csc(a*x),x)
 --R 
 --R
@@ -114,7 +468,23 @@ aa:=integrate(1/csc(a*x),x)
 --R   (1)  - --------
 --R              a
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 36
+bb:=-cos(a*x)/a
+--R
+--R          cos(a x)
+--R   (2)  - --------
+--R              a
+--R                                                     Type: Expression Integer
 --E 
+
+--S 37     14:465 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.466~~~~~$\displaystyle
@@ -126,7 +496,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 10
+--S 38     14:466 Axiom cannot compute this integral
 aa:=integrate(x*csc(a*x),x)
 --R 
 --R
@@ -147,7 +517,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 10
+--S 39     14:467 Axiom cannot compute this integral
 aa:=integrate(csc(a*x)/x,x)
 --R 
 --R
@@ -167,7 +537,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 10
+--S 40
 aa:=integrate(x*csc(a*x)^2,x)
 --R 
 --R
@@ -179,6 +549,64 @@ aa:=integrate(x*csc(a*x)^2,x)
 --R                                     a sin(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 41
+bb:=-(x*cot(a*x))/a+1/a^2*log(sin(a*x))
+--R
+--R        log(sin(a x)) - a x cot(a x)
+--R   (2)  ----------------------------
+--R                      2
+--R                     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 42
+cc:=aa-bb
+--R
+--R   (3)
+--R                                               sin(a x)
+--R       - sin(a x)log(sin(a x)) + sin(a x)log(------------)
+--R                                             cos(a x) + 1
+--R     + 
+--R                           2
+--R       - sin(a x)log(------------) + a x cot(a x)sin(a x) - a x cos(a x)
+--R                     cos(a x) + 1
+--R  /
+--R      2
+--R     a sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 43
+cotrule:=rule(cot(a) == cos(a)/sin(a))
+--R
+--R                  cos(a)
+--R   (4)  cot(a) == ------
+--R                  sin(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 44
+dd:=cotrule cc
+--R
+--R                                sin(a x)                2
+--R        - log(sin(a x)) + log(------------) - log(------------)
+--R                              cos(a x) + 1        cos(a x) + 1
+--R   (5)  -------------------------------------------------------
+--R                                    2
+--R                                   a
+--R                                                     Type: Expression Integer
+--E
+
+--S 45     14:468 Schaums and Axiom differ by a constant
+ee:=expandLog dd
+--R
+--R          log(2)
+--R   (6)  - ------
+--R             2
+--R            a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.469~~~~~$\displaystyle
@@ -189,7 +617,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 10
+--S 46
 aa:=integrate(1/(q+p*csc(a*x)),x)
 --R 
 --R
@@ -227,6 +655,156 @@ aa:=integrate(1/(q+p*csc(a*x)),x)
 --R                               a q\|- q  + p
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 47
+t1:=integrate(1/(p+q*sin(a*x)),x)
+--E
+
+--S 48
+bb1:=x/q-p/q*t1.1
+--R
+--R   (3)
+--R       -
+--R            p
+--R         *
+--R            log
+--R                                                           +-------+
+--R                                     2    2             2  | 2    2
+--R                   (p q sin(a x) + (q  - p )cos(a x) + q )\|q  - p
+--R                 + 
+--R                         2    3                3    2              3    2
+--R                   (- p q  + p )sin(a x) + (- q  + p q)cos(a x) - q  + p q
+--R              /
+--R                 q sin(a x) + p
+--R     + 
+--R           +-------+
+--R           | 2    2
+--R       a x\|q  - p
+--R  /
+--R         +-------+
+--R         | 2    2
+--R     a q\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 49
+bb2:=x/q-p/q*t1.2
+--R
+--R                                              +---------+
+--R                                              |   2    2         +---------+
+--R                (p sin(a x) + q cos(a x) + q)\|- q  + p          |   2    2
+--R        2p atan(-----------------------------------------) + a x\|- q  + p
+--R                         2    2             2    2
+--R                       (q  - p )cos(a x) + q  - p
+--R   (4)  --------------------------------------------------------------------
+--R                                       +---------+
+--R                                       |   2    2
+--R                                   a q\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 50
+cc1:=aa.1-bb1
+--R
+--R   (5)
+--R         p
+--R      *
+--R         log
+--R                                                        +-------+
+--R                                  2    2             2  | 2    2
+--R                (p q sin(a x) + (q  - p )cos(a x) + q )\|q  - p
+--R              + 
+--R                    2    3              3    2              3    2
+--R                (p q  - p )sin(a x) + (q  - p q)cos(a x) + q  - p q
+--R           /
+--R              q sin(a x) + p
+--R     + 
+--R         p
+--R      *
+--R         log
+--R                                                        +-------+
+--R                                  2    2             2  | 2    2
+--R                (p q sin(a x) + (q  - p )cos(a x) + q )\|q  - p
+--R              + 
+--R                      2    3                3    2              3    2
+--R                (- p q  + p )sin(a x) + (- q  + p q)cos(a x) - q  + p q
+--R           /
+--R              q sin(a x) + p
+--R  /
+--R         +-------+
+--R         | 2    2
+--R     a q\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 51
+cc2:=aa.2-bb1
+--R
+--R   (6)
+--R           +---------+
+--R           |   2    2
+--R         p\|- q  + p
+--R      *
+--R         log
+--R                                                        +-------+
+--R                                  2    2             2  | 2    2
+--R                (p q sin(a x) + (q  - p )cos(a x) + q )\|q  - p
+--R              + 
+--R                      2    3                3    2              3    2
+--R                (- p q  + p )sin(a x) + (- q  + p q)cos(a x) - q  + p q
+--R           /
+--R              q sin(a x) + p
+--R     + 
+--R                                                      +---------+
+--R          +-------+                                   |   2    2
+--R          | 2    2      (p sin(a x) + q cos(a x) + q)\|- q  + p
+--R       2p\|q  - p  atan(-----------------------------------------)
+--R                                 2    2             2    2
+--R                               (q  - p )cos(a x) + q  - p
+--R  /
+--R         +---------+ +-------+
+--R         |   2    2  | 2    2
+--R     a q\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 52
+cc3:=aa.1-bb2
+--R
+--R   (7)
+--R           +---------+
+--R           |   2    2
+--R         p\|- q  + p
+--R      *
+--R         log
+--R                                                        +-------+
+--R                                  2    2             2  | 2    2
+--R                (p q sin(a x) + (q  - p )cos(a x) + q )\|q  - p
+--R              + 
+--R                    2    3              3    2              3    2
+--R                (p q  - p )sin(a x) + (q  - p q)cos(a x) + q  - p q
+--R           /
+--R              q sin(a x) + p
+--R     + 
+--R                                                        +---------+
+--R            +-------+                                   |   2    2
+--R            | 2    2      (p sin(a x) + q cos(a x) + q)\|- q  + p
+--R       - 2p\|q  - p  atan(-----------------------------------------)
+--R                                   2    2             2    2
+--R                                 (q  - p )cos(a x) + q  - p
+--R  /
+--R         +---------+ +-------+
+--R         |   2    2  | 2    2
+--R     a q\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 53     14:469 Schaums and Axiom agree
+cc4:=aa.2-bb2
+--R
+--R   (8)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.470~~~~~$\displaystyle
@@ -238,7 +816,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 10
+--S 54     14:470 Axiom cannot compute this integral
 aa:=integrate(csc(a*x)^n,x)
 --R 
 --R
